<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:16 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Statement (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Statement (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Statement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ReturnStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/SwitchEntryStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/Statement.html" target="_top">Frames</a></li>
<li><a href="Statement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ast.Node">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt</div>
<h2 title="Class Statement" class="title">Class Statement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">org.eclipse.papyrus.designer.languages.java.reverse.ast.Node</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt.Statement</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/AssertStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">AssertStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">BlockStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/BreakStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">BreakStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ContinueStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ContinueStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/DoStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">DoStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/EmptyStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">EmptyStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ExplicitConstructorInvocationStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ExplicitConstructorInvocationStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ExpressionStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ExpressionStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ForeachStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ForeachStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ForStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ForStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/IfStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">IfStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/LabeledStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">LabeledStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ReturnStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ReturnStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/SwitchEntryStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">SwitchEntryStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/SwitchStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">SwitchStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/SynchronizedStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">SynchronizedStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ThrowStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">ThrowStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/TryStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">TryStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/TypeDeclarationStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">TypeDeclarationStmt</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/WhileStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">WhileStmt</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Statement</span>
extends <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Node</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Julio Vilmar Gesser</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/Statement.html#Statement--">Statement</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/Statement.html#Statement-int-int-int-int-">Statement</a></span>(int&nbsp;beginLine,
         int&nbsp;beginColumn,
         int&nbsp;endLine,
         int&nbsp;endColumn)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ast.Node">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ast.<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Node</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.GenericVisitor-A-">accept</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#accept-org.eclipse.papyrus.designer.languages.java.reverse.ast.visitor.VoidVisitor-A-">accept</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getBeginColumn--">getBeginColumn</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getBeginLine--">getBeginLine</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getData--">getData</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getEndColumn--">getEndColumn</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#getEndLine--">getEndLine</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setBeginColumn-int-">setBeginColumn</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setBeginLine-int-">setBeginLine</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setData-java.lang.Object-">setData</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setEndColumn-int-">setEndColumn</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#setEndLine-int-">setEndLine</a>, <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Statement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Statement</h4>
<pre>public&nbsp;Statement()</pre>
</li>
</ul>
<a name="Statement-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Statement</h4>
<pre>public&nbsp;Statement(int&nbsp;beginLine,
                 int&nbsp;beginColumn,
                 int&nbsp;endLine,
                 int&nbsp;endColumn)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Statement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/ReturnStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/SwitchEntryStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/Statement.html" target="_top">Frames</a></li>
<li><a href="Statement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.ast.Node">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
